| FFmpegKit iOS / macOS / tvOS API 6.0

Loading...
Searching...
No Matches
Data Fields
Muxer Struct Reference

`#include <fftools_ffmpeg_mux.h>`

## Data Fields
OutputFile | of
char | log_name [32]
AVFormatContext * | fc
pthread_t | thread
ThreadQueue * | tq
AVDictionary * | opts
int | thread_queue_size
int64_t | limit_filesize
atomic_int_least64_t | last_filesize
int | header_written
SyncQueue * | sq_mux
AVPacket * | sq_pkt

## Detailed Description

Definition at line 131 of file fftools_ffmpeg_mux.h.

## Field Documentation

## ◆ fc

AVFormatContext* Muxer::fc

Definition at line 137 of file fftools_ffmpeg_mux.h.

## ◆ header_written

int Muxer::header_written

Definition at line 149 of file fftools_ffmpeg_mux.h.

## ◆ last_filesize

atomic_int_least64_t Muxer::last_filesize

Definition at line 148 of file fftools_ffmpeg_mux.h.

## ◆ limit_filesize

int64_t Muxer::limit_filesize

Definition at line 147 of file fftools_ffmpeg_mux.h.

## ◆ log_name

char Muxer::log_name[32]

Definition at line 135 of file fftools_ffmpeg_mux.h.

## ◆ of

OutputFile Muxer::of

Definition at line 132 of file fftools_ffmpeg_mux.h.

## ◆ opts

AVDictionary* Muxer::opts

Definition at line 142 of file fftools_ffmpeg_mux.h.

## ◆ sq_mux

SyncQueue* Muxer::sq_mux

Definition at line 151 of file fftools_ffmpeg_mux.h.

## ◆ sq_pkt

AVPacket* Muxer::sq_pkt

Definition at line 152 of file fftools_ffmpeg_mux.h.

## ◆ thread

pthread_t Muxer::thread

Definition at line 139 of file fftools_ffmpeg_mux.h.

## ◆ thread_queue_size

int Muxer::thread_queue_size

Definition at line 144 of file fftools_ffmpeg_mux.h.

## ◆ tq

ThreadQueue* Muxer::tq

Definition at line 140 of file fftools_ffmpeg_mux.h.

The documentation for this struct was generated from the following file:

- fftools_ffmpeg_mux.h